<script setup>
    import { onMounted, ref } from 'vue';

    defineProps({
        modelValue: String,
        options:Array,
        placeholder:String,
        optionKey:'',
        optionValue:'',
    });

    defineEmits(['update:modelValue']);

    const select = ref(null);

    onMounted(() => {
        if (select.value.hasAttribute('autofocus')) {
            select.value.focus();
        }
    });

    defineExpose({ focus: () => select.value.focus() });
</script>

<template>
    <select
            ref="select"
            class="form-select rounded-md shadow-sm"
            :value="modelValue"
            @input="$emit('update:modelValue', $event.target.value)">
        <option v-if="placeholder" :value="null" disabled>{{ placeholder }}</option>

        <option v-for="option in options" :value="option[optionKey]"    :selected="modelValue == option[optionKey]"   >
            {{option[optionValue]}}
        </option>


    </select>
</template>

